#ifndef LVL_HEAL_H
#define LVL_HEAL_H

#include "C:\Game Files\Fallout 2\HEADERS\CRITRPID.H"

#define DAM_KNOCKED_OUT        1
#define DAM_KNOCKED_DOWN       2
#define DAM_CRIP_LEG_LEFT      4
#define DAM_CRIP_LEG_RIGHT     8
#define DAM_CRIP_ARM_LEFT     16
#define DAM_CRIP_ARM_RIGHT    32
#define DAM_BLIND             64
#define DAM_DEAD             128
#define DAM_HIT              256
#define DAM_CRITICAL         512
#define DAM_ON_FIRE         1024
#define DAM_BYPASS          2048
#define DAM_EXPLODE         4096
#define DAM_DESTROY         8192
#define DAM_DROP           16384
#define DAM_LOSE_TURN      32768
#define DAM_HIT_SELF       65536
#define DAM_LOSE_AMMO     131072
#define DAM_DUD           262144
#define DAM_HURT_SELF     524288
#define DAM_RANDOM_HIT   1048576
#define DAM_CRIP_RANDOM  2097152
#define DAM_BACKWASH     4194304

#define DMG_normal_dam   0
#define DMG_laser        1
#define DMG_fire         2
#define DMG_plasma       3
#define DMG_electrical   4
#define DMG_emp          5
#define DMG_explosion    6

#define DAM_PERFORM_REVERSE                                                     8388608
#define critter_uninjure(WHO, FLAGS)                                            critter_injure(WHO, FLAGS BWOR DAM_PERFORM_REVERSE))

#define Is_Injured(who)                                                         (get_critter_stat(who, STAT_current_hp) < get_critter_stat(who, STAT_max_hit_points))
#define Injured_How_Much(who)                                                   (get_critter_stat(who, STAT_max_hit_points) - get_critter_stat(who, STAT_current_hp))

#define obj_in_party(x)                                                         (party_member_obj(obj_pid(x)) != 0)

#define Myron_Ptr                                                               party_member_obj(16777376)
#define Marcus_Ptr                                                              party_member_obj(16777377)
#define Cassidy_Ptr                                                             party_member_obj(16777305)
#define Sulik_Ptr                                                               party_member_obj(16777313)
#define Lenny_Ptr                                                               party_member_obj(16777323)
#define Cyberdog_Ptr                                                            party_member_obj(16777352)
#define Goris_Ptr                                                               party_member_obj(16777368)
#define Davin_Ptr                                                               party_member_obj(16777379)
#define Miria_Ptr                                                               party_member_obj(16777380)
#define Laddie_Ptr                                                              party_member_obj(16777381)
#define Robobrain_Ptr                                                           party_member_obj(16777295)
#define Vic_Ptr                                                                 party_member_obj(16777278)
#define Bess_Ptr                                                                party_member_obj(16777407)
#define Chicken_Ptr                                                             party_member_obj(16777411)
#define Karl_Ptr                                                                party_member_obj(16777412)
#define Jonny_Ptr                                                               party_member_obj(16777413)
#define Lloyd_Ptr                                                               party_member_obj(16777481)
#define Dogmeat_Ptr                                                             party_member_obj(16777558)
#define RobobrainHuman_Ptr                                                      party_member_obj(16777597)
#define RobobrainAbnormal_Ptr                                                   party_member_obj(16777596)
#define RobobrainChimp_Ptr                                                      party_member_obj(16777595)
#define PariahDog_Ptr                                                           party_member_obj(16777600)
#define K9_Ptr                                                                  party_member_obj(16777687)
//megamod
#define Klint_Ptr                                                               party_member_obj(16777859)
#define Skynet_Ptr                                                              party_member_obj(16777785)
#define Skynet_Human_Ptr                                                        party_member_obj(16777749)
#define Skynet_Abnormal_Ptr                                                     party_member_obj(16777748)
#define Skynet_Chimp_Ptr                                                        party_member_obj(16777747)
#define Diago_Ptr                                                               party_member_obj(16777766)
#define Meris_Ptr                                                               party_member_obj(16777762)
//frp
#define Kitsune_Ptr                                                             party_member_obj(16777718) 
#define Dex_Ptr                                                                 party_member_obj(16777719) 
#define Cat_Jules_Ptr                                                           party_member_obj(16777720) 
#define T_800_Ptr                                                               party_member_obj(16777765) 

// Is this person in my party
#define Myron_In_Party                                                          (Myron_Ptr != 0)
#define Marcus_In_Party                                                         (Marcus_Ptr != 0)
#define Cassidy_In_Party                                                        (Cassidy_Ptr != 0)
#define Sulik_In_Party                                                          (Sulik_Ptr != 0)
#define Lenny_In_Party                                                          (Lenny_Ptr != 0)
#define Cyberdog_In_Party                                                       (Cyberdog_Ptr != 0)
#define Klint_In_Party                                                          (Klint_Ptr != 0)
#define Goris_In_Party                                                          (Goris_Ptr != 0)
#define Davin_In_Party                                                          (Davin_Ptr != 0)
#define Miria_In_Party                                                          (Miria_Ptr != 0)
#define Laddie_In_Party                                                         (Laddie_Ptr != 0)
#define Robobrain_In_Party                                                      (Robobrain_Ptr != 0)
#define Vic_In_Party                                                            (Vic_Ptr != 0)
#define Bess_In_Party                                                           (Bess_Ptr != 0)
#define Chicken_In_Party                                                        (Chicken_Ptr != 0)
#define Karl_In_Party                                                           (Karl_Ptr != 0)
#define Jonny_In_Party                                                          (Jonny_Ptr != 0)
#define Lloyd_In_Party                                                          (Lloyd_Ptr != 0)
#define Dogmeat_In_Party                                                        (Dogmeat_Ptr != 0)
#define RobobrainHuman_In_Party                                                 (RobobrainHuman_Ptr != 0)
#define RobobrainAbnormal_In_Party                                              (RobobrainAbnormal_Ptr != 0)
#define RobobrainChimp_In_Party                                                 (RobobrainChimp_Ptr != 0)
#define PariahDog_In_Party                                                      (PariahDog_Ptr != 0)
#define K9_In_Party                                                             (K9_Ptr != 0)
//megamod
#define SulikLA_In_Party                                                        (SulikLA_Ptr != 0)
#define SulikCA_In_Party                                                        (SulikCA_Ptr != 0)
#define SulikLJ_In_Party                                                        (SulikLJ_Ptr != 0)
#define SulikMA_In_Party                                                        (SulikMA_Ptr != 0)
#define SulikAPA_In_Party                                                       (SulikAPA_Ptr != 0)
#define SulikPA_In_Party                                                        (SulikPA_Ptr != 0)
#define SulikMNI_In_Party                                                       (SulikMNI_Ptr != 0)
#define Skynet_In_Party                                                         (Skynet_Ptr != 0)
#define Skynet_Human_In_Party                                                   (Skynet_Human_Ptr != 0)
#define Skynet_Abnormal_In_Party                                                (Skynet_Abnormal_Ptr != 0)
#define Skynet_Chimp_In_Party                                                   (Skynet_Chimp_Ptr != 0)
#define Diago_In_Party                                                          (Diago_Ptr != 0)
#define Meris_In_Party                                                          (Meris_Ptr != 0)
//frp
#define Kitsune_In_Party                                                        (Kitsune_Ptr != 0)
#define Dex_In_Party                                                            (Dex_Ptr != 0) 
#define Cat_Jules_In_Party                                                      (Cat_Jules_Ptr != 0)
#define T_800_In_Party                                                          (T_800_Ptr != 0)

#define PID_GECKO_SMALL                 (16777296)
#define PID_TOUGH_GECKO_SMALL           (16777297)
#define PID_GOLDEN_GECKO                (16777299)
#define PID_TOUGH_GOLDEN_GECKO          (16777302)
#define PID_FIRE_GECKO                  (16777456)
#define PID_TOUGH_FIRE_GECKO            (16777457)
#define PID_ALIEN                       (16777458)
#define PID_TOUGH_ALIEN                 (16777459)
#define PID_FLOATER                     (16777462)
#define PID_NASTY_FLOATER               (16777463)
#define PID_CENTAUR                     (16777464)
#define PID_MEAN_CENTAUR                (16777465)

#endif // LVL_HEAL_H
