#ifndef PERK_INC_H
#define PERK_INC_H

#include "C:\Game Files\Fallout 2\HEADERS\Perk_Globals.h"
#include "C:\Game Files\Fallout 2\HEADERS\Perk_Text.h"
//sfall
#define Kill_Type_Men                                                           (0)
#define Kill_Type_Women                                                         (1)
#define Kill_Type_Children                                                      (2)
#define Kill_Type_Super_Mutants                                                 (3)
#define Kill_Type_Ghouls                                                        (4)
#define Kill_Type_Brahmin                                                       (5)
#define Kill_Type_Radscorpions                                                  (6)
#define Kill_Type_Rats                                                          (7)
#define Kill_Type_Floaters                                                      (8)
#define Kill_Type_Centaurs                                                      (9)
#define Kill_Type_Robots                                                        (10)
#define Kill_Type_Dogs                                                          (11)
#define Kill_Type_Manti                                                         (12)
#define Kill_Type_DeathClaws                                                    (13)
#define Kill_Type_Plants                                                        (14)
#define Kill_Type_Geckos                                                        (15)
#define Kill_Type_Aliens                                                        (16)
#define Kill_Type_Giant_Ants                                                    (17)
#define Kill_Type_Big_Bad_Boss                                                  (18)
#define Kill_Type_Cockroaches                                                   (19)
#define Kill_Type_Fruit_Fly                                                     (20)
#define Kill_Type_reserve_1                                                     (21)
#define Kill_Type_reserve_2                                                     (22)
#define Kill_Type_reserve_3                                                     (23)
#define Kill_Type_reserve_4                                                     (24)
#define Kill_Type_reserve_5                                                     (25)
#define Kill_Type_reserve_6                                                     (26)
#define Kill_Type_reserve_7                                                     (27)
#define Kill_Type_reserve_8                                                     (28)
#define Kill_Type_reserve_9                                                     (29)
#define Kill_Type_reserve_10                                                    (30)
#define Kill_Type_reserve_11                                                    (31)
#define Kill_Type_reserve_12                                                    (32)
#define Kill_Type_reserve_13                                                    (33)
#define Kill_Type_reserve_14                                                    (34)
#define Kill_Type_reserve_15                                                    (35)
#define Kill_Type_reserve_16                                                    (36)
#define Kill_Type_reserve_17                                                    (37)
//vanilla
#define KILL_TYPE_men_kills                                                     (0)
#define KILL_TYPE_women_kills                                                   (1)
#define KILL_TYPE_children_kills                                                (2)
#define KILL_TYPE_super_mutant_kills                                            (3)
#define KILL_TYPE_ghoul_kills                                                   (4)
#define KILL_TYPE_brahmin_kills                                                 (5)
#define KILL_TYPE_radscorpion_kills                                             (6)
#define KILL_TYPE_rat_kills                                                     (7)
#define KILL_TYPE_floater_kills                                                 (8)
#define KILL_TYPE_centaur_kills                                                 (9)
#define KILL_TYPE_robot_kills                                                   (10)
#define KILL_TYPE_dog_kills                                                     (11)
#define KILL_TYPE_manti_kills                                                   (12)
#define KILL_TYPE_deathclaw_kills                                               (13)
#define KILL_TYPE_plant_kills                                                   (14)
#define KILL_TYPE_gecko_kills                                                   (15)
#define KILL_TYPE_alien_kills                                                   (16)
#define KILL_TYPE_giant_ant_kills                                               (17)
#define KILL_TYPE_big_bad_boss_kills                                            (18)

#define levels_per_perk                                                         get_sfall_global_int(2123)
#define dude_global                                                             get_sfall_global_int(2124)
#define last_perk_level                                                         get_sfall_global_int(2125)
#define dude_level                                                              (get_pc_stat(1))
#define number_of_perks                                                         ((dude_level - last_perk_level) / levels_per_perk)

#define strength                                                                (get_critter_stat(dude_obj,STAT_st))
#define perception                                                              (get_critter_stat(dude_obj,STAT_pe))
#define endurance                                                               (get_critter_stat(dude_obj,STAT_en))
#define charisma                                                                (get_critter_stat(dude_obj,STAT_ch))
#define intelligence                                                            (get_critter_stat(dude_obj,STAT_iq))
#define agility                                                                 (get_critter_stat(dude_obj,STAT_ag))
#define luck                                                                    (get_critter_stat(dude_obj,STAT_lu))

#define carry                                                                   (get_critter_stat(dude_obj,STAT_carry_amt))

#define LEVEL_SMALL_GUNS                                                        (has_skill(dude_obj, SKILL_SMALL_GUNS))
#define LEVEL_BIG_GUNS                                                          (has_skill(dude_obj, SKILL_BIG_GUNS))
#define LEVEL_ENERGY_WEAPONS                                                    (has_skill(dude_obj, SKILL_ENERGY_WEAPONS))
#define LEVEL_UNARMED_COMBAT                                                    (has_skill(dude_obj, SKILL_UNARMED_COMBAT))
#define LEVEL_MELEE                                                             (has_skill(dude_obj, SKILL_MELEE))
#define LEVEL_THROWING                                                          (has_skill(dude_obj, SKILL_THROWING))
#define LEVEL_FIRST_AID                                                         (has_skill(dude_obj, SKILL_FIRST_AID))
#define LEVEL_DOCTOR                                                            (has_skill(dude_obj, SKILL_DOCTOR))
#define LEVEL_SNEAK                                                             (has_skill(dude_obj, SKILL_SNEAK))
#define LEVEL_LOCKPICK                                                          (has_skill(dude_obj, SKILL_LOCKPICK))
#define LEVEL_STEAL                                                             (has_skill(dude_obj, SKILL_STEAL))
#define LEVEL_TRAPS                                                             (has_skill(dude_obj, SKILL_TRAPS))
#define LEVEL_SCIENCE                                                           (has_skill(dude_obj, SKILL_SCIENCE))
#define LEVEL_REPAIR                                                            (has_skill(dude_obj, SKILL_REPAIR))
#define LEVEL_CONVERSANT                                                        (has_skill(dude_obj, SKILL_CONVERSANT))
#define LEVEL_BARTER                                                            (has_skill(dude_obj, SKILL_BARTER))
#define LEVEL_GAMBLING                                                          (has_skill(dude_obj, SKILL_GAMBLING))
#define LEVEL_OUTDOORSMAN                                                       (has_skill(dude_obj, SKILL_OUTDOORSMAN))

#define TRAIT_PERK                                                              (0)
#define TRAIT_OBJECT                                                            (1)
#define TRAIT_TRAIT                                                             (2)

#define PERK_bonus_awareness                                                    (0)
#define PERK_bonus_hth_attacks                                                  (1)
#define PERK_bonus_hth_damage                                                   (2)
#define PERK_bonus_move                                                         (3)
#define PERK_bonus_ranged_damage                                                (4)
#define PERK_bonus_rate_of_fire                                                 (5)
#define PERK_earlier_sequence                                                   (6)
#define PERK_faster_healing                                                     (7)
#define PERK_more_criticals                                                     (8)
#define PERK_night_vision                                                       (9)
#define PERK_presence                                                           (10)
#define PERK_rad_resistance                                                     (11)
#define PERK_toughness                                                          (12)
#define PERK_strong_back                                                        (13)
#define PERK_sharpshooter                                                       (14)
#define PERK_silent_running                                                     (15)
#define PERK_survivalist                                                        (16)
#define PERK_master_trader                                                      (17)
#define PERK_educated                                                           (18)
#define PERK_healer                                                             (19)
#define PERK_fortune_finder                                                     (20)
#define PERK_better_criticals                                                   (21)
#define PERK_empathy                                                            (22)
#define PERK_slayer                                                             (23)
#define PERK_sniper                                                             (24)
#define PERK_silent_death                                                       (25)
#define PERK_action_boy                                                         (26)
#define PERK_lifegiver                                                          (28)
#define PERK_dodger                                                             (29)
#define PERK_snakeater                                                          (30)
#define PERK_mr_fixit                                                           (31)
#define PERK_medic                                                              (32)
#define PERK_master_thief                                                       (33)
#define PERK_speaker                                                            (34)
#define PERK_heave_ho                                                           (35)
#define PERK_friendly_foe                                                       (36)  //vertibird
#define PERK_pickpocket                                                         (37)
#define PERK_ghost                                                              (38)
#define PERK_cult_of_personality                                                (39)
#define PERK_scrounger                                                          (40)  //gecko meat
#define PERK_explorer                                                           (41)
#define PERK_pathfinder                                                         (43)
#define PERK_animal_friend                                                      (44)  //armoror
#define PERK_scout                                                              (45)  
#define PERK_mysterious_stranger                                                (46)
#define PERK_ranger                                                             (47)
#define PERK_quick_pockets                                                      (48)
#define PERK_smooth_talker                                                      (49)
#define PERK_swift_learner                                                      (50)
#define PERK_tag                                                                (51)
#define PERK_mutate                                                             (52)
#define PERK_gecko_skinning_perk                                                (73)
#define PERK_dermal_armor_perk                                                  (74)
#define PERK_dermal_enhancement_perk                                            (75)
#define PERK_phoenix_armor_perk                                                 (76)
#define PERK_phoenix_enhancement_perk                                           (77)
#define PERK_vault_city_inoculations_perk                                       (78)
#define PERK_adrenaline_rush_perk                                               (79)
#define PERK_cautious_nature_perk                                               (80)
#define PERK_comprehension_perk                                                 (81)
#define PERK_demolition_expert_perk                                             (82)
#define PERK_gambler_perk                                                       (83)
#define PERK_gain_strength_perk                                                 (84)
#define PERK_gain_perception_perk                                               (85)
#define PERK_gain_endurance_perk                                                (86)
#define PERK_gain_charisma_perk                                                 (87)
#define PERK_gain_intelligence_perk                                             (88)
#define PERK_gain_agility_perk                                                  (89)
#define PERK_gain_luck_perk                                                     (90)
#define PERK_harmless_perk                                                      (91)
#define PERK_here_and_now_perk                                                  (92)
#define PERK_hth_evade_perk                                                     (93)
#define PERK_kama_sutra_perk                                                    (94)
#define PERK_karma_beacon_perk                                                  (95)
#define PERK_light_step_perk                                                    (96)
#define PERK_living_anatomy_perk                                                (97)
#define PERK_magnetic_personality_perk                                          (98)
#define PERK_negotiator_perk                                                    (99)
#define PERK_pack_rat_perk                                                      (100)
#define PERK_pyromaniac_perk                                                    (101)
#define PERK_quick_recovery_perk                                                (102)
#define PERK_salesman_perk                                                      (103)
#define PERK_stonewall_perk                                                     (104)
#define PERK_thief_perk                                                         (105)
#define PERK_weapon_handling_perk                                               (106)
#define PERK_vault_city_training_perk                                           (107)
#define PERK_alcohol_hp_bonus1_perk                                             (108)
#define PERK_alcohol_hp_bonus2_perk                                             (109)
#define PERK_alcohol_hp_neg1_perk                                               (110)
#define PERK_alcohol_hp_neg2_perk                                               (111)
#define PERK_autodoc_hp_bonus1_perk                                             (112)
#define PERK_autodoc_hp_bonus2_perk                                             (113)
#define PERK_autodoc_hp_neg1_perk                                               (114)
#define PERK_autodoc_hp_neg2_perk                                               (115)
#define PERK_expert_excrement_expediter_perk                                    (116)
#define PERK_weapon_knockout_perk                                               (117)
#define PERK_jinxed_perk                                                        (118)

#define TRAIT_fast_metabolism                                                   (0)
#define TRAIT_bruiser                                                           (1)
#define TRAIT_small_frame                                                       (2)
#define TRAIT_one_hander                                                        (3)
#define TRAIT_finesse                                                           (4)
#define TRAIT_kamikaze                                                          (5)
#define TRAIT_heavy_handed                                                      (6)
#define TRAIT_fast_shot                                                         (7)
#define TRAIT_bloody_mess                                                       (8)
#define TRAIT_jinxed                                                            (9)
#define TRAIT_good_natured                                                      (10)
#define TRAIT_drug_addict                                                       (11)
#define TRAIT_drug_resistant                                                    (12)
#define TRAIT_sex_appeal                                                        (13)
#define TRAIT_skilled                                                           (14)
#define TRAIT_gifted                                                            (15)

#define OBJECT_AI_PACKET                                                        (5)
#define OBJECT_TEAM_NUM                                                         (6)
#define OBJECT_CUR_ROT                                                          (10)
#define OBJECT_VISIBILITY                                                       (666)
#define OBJECT_CUR_WEIGHT                                                       (669)

#define STAT_st                                                                 (0)
#define STAT_pe                                                                 (1)
#define STAT_en                                                                 (2)
#define STAT_ch                                                                 (3)
#define STAT_iq                                                                 (4)
#define STAT_ag                                                                 (5)
#define STAT_lu                                                                 (6)
#define STAT_max_hit_points                                                     (7)
#define STAT_max_move_points                                                    (8)
#define STAT_ac                                                                 (9)
#define STAT_unused                                                             (10)
#define STAT_melee_dmg                                                          (11)
#define STAT_carry_amt                                                          (12)
#define STAT_sequence                                                           (13)
#define STAT_heal_rate                                                          (14)
#define STAT_crit_chance                                                        (15)
#define STAT_better_crit                                                        (16)
#define STAT_dmg_thresh                                                         (17)
#define STAT_dmg_thresh_laser                                                   (18)
#define STAT_dmg_thresh_fire                                                    (19)
#define STAT_dmg_thresh_plasma                                                  (20)
#define STAT_dmg_thresh_electrical                                              (21)
#define STAT_dmg_thresh_emp                                                     (22)
#define STAT_dmg_thresh_explosion                                               (23)
#define STAT_dmg_resist                                                         (24)
#define STAT_dmg_resist_laser                                                   (25)
#define STAT_dmg_resist_fire                                                    (26)
#define STAT_dmg_resist_plasma                                                  (27)
#define STAT_dmg_resist_electrical                                              (28)
#define STAT_dmg_resist_emp                                                     (29)
#define STAT_dmg_resist_explosion                                               (30)
#define STAT_rad_resist                                                         (31)
#define STAT_poison_resist                                                      (32)
#define STAT_current_hp                                                         (35)
#define STAT_current_poison                                                     (36)
#define STAT_current_rad                                                        (37)

#define PCSTAT_unspent_skill_points                                             (0)
#define PCSTAT_level                                                            (1)
#define PCSTAT_experience                                                       (2)
#define PCSTAT_reputation                                                       (3)
#define PCSTAT_karma                                                            (4)
#define PCSTAT_max_pc_stat                                                      (5)

#define SKILL_SMALL_GUNS                                                        (0)
#define SKILL_BIG_GUNS                                                          (1)
#define SKILL_ENERGY_WEAPONS                                                    (2)
#define SKILL_UNARMED_COMBAT                                                    (3)
#define SKILL_MELEE                                                             (4)
#define SKILL_THROWING                                                          (5)
#define SKILL_FIRST_AID                                                         (6)
#define SKILL_DOCTOR                                                            (7)
#define SKILL_SNEAK                                                             (8)
#define SKILL_LOCKPICK                                                          (9)
#define SKILL_STEAL                                                             (10)
#define SKILL_TRAPS                                                             (11)
#define SKILL_SCIENCE                                                           (12)
#define SKILL_REPAIR                                                            (13)
#define SKILL_CONVERSANT                                                        (14)
#define SKILL_BARTER                                                            (15)
#define SKILL_GAMBLING                                                          (16)
#define SKILL_OUTDOORSMAN                                                       (17)
#define SKILL_FLAME_THROWER                                                     (18)

#endif // PERK_INC_H



