#ifndef PERK_TEXT_H
#define PERK_TEXTH

//GL_Perks.int 

#define ToughBastard                                                                       "Toughness" 
#define ToughBastardDescription                                                            "For each level of this perk you gain " + get_sfall_global_int(8) + " health."                                             
#define KnockdownImunity                                                                   "Knockdown Imunity"
#define KnockdownImunityDescription                                                        "Your stance is practicaly perfect,you cannot be knocked down.Rank 2 grants this effect to all party members."
#define Grappler                                                                           "Grappler"
#define GrapplerDescription                                                                "You no longer throw your enimies about,your opponents dont either.Rank 2 affects party members and thier opponents."
#define TrueAim                                                                            "True Aim"
#define TrueAimDescription                                                                 "+1% to hit and +1% to maximum possible to hit, for all combat skills, for The Chosen One for each rank of this perk."
#define MeleeDMG                                                                           "Bonus HtH Damage"
#define MeleeDMGDescription                                                                "Experience in unarmed combat has given you the edge when it comes to damage.You cause +" + get_sfall_global_int(18) + " points of damage with hand-to-hand and melee attacks for each level of this Perk."
#define LifeGiver                                                                          "Life Giver"
#define LifeGiverDescription                                                               "With each level of this Perk, you gain an additional " + get_sfall_global_int(21) + " Hit Points every time you advance a level.  This is in addition to the hit points you already gain per level based off of your endurance."
#define MeleeAdept                                                                         "Melee Advantage"
#define MeleeAdeptDescription                                                              "Your melee and unarmed skills are increased by " + get_sfall_global_int(24) + "% for each rank of this perk."
#define Grant                                                                              "Grant"
#define GrantDescription                                                                   "Grants Awarenss, Night Vision, Quick Pockets and Gecko Skinning Perks."
#define RangedDamage                                                                       "Bonus Ranged Damage"
#define RangedDamageDescription                                                            "Your training in firearms and other ranged weapons has made you more deadly in ranged combat.  For each level of this Perk, you do +" + get_sfall_global_int(28) + " points of damage with ranged weapons."
#define Sequence                                                                           "Earlier Sequence"
#define SequenceDescription                                                                "You are more likely to move before your opponents in combat, since your Sequence is +" + get_sfall_global_int(31) + " for each level of this Perk."
#define Healing                                                                            "Faster Healing"
#define HealingDescription                                                                 "With each level of this Perk, you get a +" + get_sfall_global_int(34) + " bonus to your Healing Rate.  This is in addition to your normal healing rate, thus you heal faster."
#define Criticals                                                                          "More Criticals"
#define CriticalsDescription                                                               "You are more likely to cause critical hits in combat if you have this Perk.  Each level of More Criticals gets you an additional +" + get_sfall_global_int(37) + "% chance to cause a critical hit."
#define StrongBack                                                                         "Strong Back"
#define StrongBackDescription                                                              "AKA Mule.  You can carry an additional " + get_sfall_global_int(40) + " pounds of equipment for each level of this Perk."
#define ActionBoy                                                                          "Action Boy"
#define ActionBoyDescription                                                               "Each level of Action Boy (insert Girl if you wish) gives you " + get_sfall_global_int(6012) + " additional action point(s) to spend every combat turn.  You can use these generic action points on any task."
#define Teacher                                                                            "Teach Friends"
#define TeacherDescription                                                                 "Passing on your experiences to your friends will no doubt prove useful. All npcs in your party gain one level for each rank of this perk."
#define RadRes                                                                             "Rad Resistance"
#define RadResDescription                                                                  "You are better able to avoid radiation and the bad effects radiation causes.  Each level of this Perk improves your Radiation Resistance by " + get_sfall_global_int(77) + "%."
#define PoisonRes                                                                          "Snakeater"
#define PoisonResDescription                                                               "Yum! Tastes like chicken. For each level of this Perk, you gain " + get_sfall_global_int(80) + "% to your Poison Resistance."
#define Dodger                                                                             "Dodger"
#define DodgerDescription                                                                  "You are less likely to be hit in combat if you have this Perk. You gain a +" + get_sfall_global_int(83) + " to your Armor Class, in addition to the AC bonus from any armor worn."
#define MinorToughness                                                                     "Minor Toughness"
#define MinorToughnessDescription                                                          "The little edge that you've always needed,increases maximum hit points by " + get_sfall_global_int(86) + "."
#define MinimumUnarmedCombat                                                               "Minimum HtH Damage"
#define MinimumUnarmedCombatDescription                                                    "For each level of this perk your minimum damage with hand-to-hand and melee is increased by " + get_sfall_global_int(91) + "."
#define UnarmedCritical                                                                    "HtH/Melee Criticals Multiplied"
#define UnarmedCriticalDescription                                                         "For each level of this perk your critical damage with hand-to-hand and melee is increased by " + get_sfall_global_int(102) + "%,this stacks with the basic critical damage.This bonus stacks with the bonus from Better Criticals."
#define UnarmedIncapacitate                                                                "Stun"
#define UnarmedIncapacitateDescription                                                     "For each level of this perk your chance to stun your target when successully dealing damage is increased by " + get_sfall_global_int(105) + "%."
#define UnarmedKnockDown                                                                   "Disarm"
#define UnarmedKnockDownDescription                                                        "For each level of this perk your chance to knockdown your target when successully dealing damage is increased by " + get_sfall_global_int(108) + "%."
#define UnarmedDisarm                                                                      "Knockdown"
#define UnarmedDisarmDescription                                                           "For each level of this perk your chance to disarm your target when successully dealing damage is increased by " + get_sfall_global_int(111) + "%."
#define MinimumRangeDamage                                                                 "Minimum Range Damage"
#define MinimumRangeDamageDescription                                                      "For each level of this perk your minimum damage with ranged weapons is increased by " + get_sfall_global_int(114) + "."
#define ExtraGold                                                                          "Fortune Finder"
#define ExtraGoldDescription                                                               "You have the talent of finding money. You find additional money from your vanquished enimie's,in the ammout of " + get_sfall_global_int(183) + " for each rank of this perk."
#define ExtraAmmo                                                                          "Scrounger"
#define ExtraAmmoDescription                                                               "This Perk increase the ammount of ammo your vanquished enimie's corpse's have by " + get_sfall_global_int(186) + " clips for each rank of this perk for each weapon they were wielding that requier ammunition."
#define ExplosiveEnding                                                                    "Explosive Ending"
#define ExplosiveEndingDescription                                                         "Your enemies will always explode on death as if they triggered a land mine.Note that critters that dont have the art,will not be able to play the animation."
#define MeltYourFace                                                                       "Melt Your Face"
#define MeltYourFaceDescription                                                            "Your enemies will always melt to nothing before your eyes when you kill them.Note that critters that dont have the art,will not be able to play the animation."
#define MildStun                                                                           "Mild Stun"
#define MildStunDescription                                                                "For each level of this perk your chance to mildly stun(lose next turn) your target when successully dealing damage is increased by " + get_sfall_global_int(193) + "%."
#define BypassImunity                                                                      "Bypass Armor Imunity"
#define BypassImunityDescription                                                           "Due to your expertise with armor, you are no longer susceptible to hits that bypass your armor. Unfortunately, neither are your oponents."
#define BypassExpert                                                                       "Bypass Armor Expert"
#define BypassExpertDescription                                                            "Your combat skills allow you to find weak spots in armor and deliver penetrating blows.Each rank of this perk increases your chances to bypass your oponents armor by " + get_sfall_global_int(4232) + "%."
#define RangedCritical                                                                     "Ranged Criticals Multiplied"
#define RangedCriticalDescription                                                          "For each level of this perk your critical damage with ranged weapons is increased by " + get_sfall_global_int(4269) + "%,this stacks with the basic critical damage.This bonus stacks with the bonus from Better Criticals."
#define LightningReflexes                                                                  "Lightning Reflexes"
#define LightningReflexesDescription                                                       "You are blessed with Lightning Reflexes,completely negating facing bonuses." 
#define Backstab                                                                           "Backstab"
#define BackstabDescription                                                                "You have become a master of attacking targets from behind,you attacks for behind are multiplied by " + get_sfall_global_int(4538) + "%(must be within 1 hex of your target)."
#define Sliced                                                                             "Slicer"
#define SlicedDescription                                                                  "You Slice and Hack everything in sight!(your enimies will be cut in half when you kill them).Note that critters that dont have the art,will not be able to play the animation."
#define Bullseye                                                                           "Bullseye"
#define BullseyeDescription                                                                "You have mastered the art of thrown weapons. All of your hits with thrown weapons are automaticaly upgraded to a critical hit."
#define BullseyeDescriptionSniper                                                          "You have mastered the art of thrown weapons.  With this Perk, any successful hit in combat with a thown weapon will be upgraded to a critical hit if you also make a Luck roll."

//Soak Damage 
#define PickSoakDamagePerk                                                                 "Open character screen to choose a Soak Damage Perk."
#define SoakDamageGroup                                                                    "Soak Damage Perks"
#define SoakDamageGroupDescription                                                         "Spend a perk on Soak Damage Perks.You must select this perk and click done to world map view,then open charracter screen to choose a Soak Damage Perk to spend a perk on."
#define SoakDamageCancelGroup                                                              "Cancel Soak Damage"
#define SoakDamageCancelGroupDescription                                                   "Cancel spending a perk on Soak Damage Perks and return to regular perks.You must select this perk and click done to world map view,then open charracter screen to select a perk."
#define SoakNormalDamage                                                                   "Soak Normal Damage"
#define SoakNormalDamageDescription                                                        "Your training in defense has made you tougher.With each level of this perk your threshold for normal damage is increased by " + get_sfall_global_int(45) + "."
#define SoakLaserDamage                                                                    "Soak Laser Damage"
#define SoakLaserDamageDescription                                                         "Your training in defense has made you tougher.With each level of this perk your threshold for Laser damage is increased by " + get_sfall_global_int(48) + "."
#define SoakFireDamage                                                                     "Soak Fire Damage"
#define SoakFireDamageDescription                                                          "Your training in defense has made you tougher.With each level of this perk your threshold for Fire damage is increased by " + get_sfall_global_int(51) + "."
#define SoakPlasmaDamage                                                                   "Soak Plasma Damage"
#define SoakPlasmaDamageDescription                                                        "Your training in defense has made you tougher.With each level of this perk your threshold for Plasma damage is increased by " + get_sfall_global_int(54) + "."
#define SoakExplosionDamage                                                                "Soak Explosion Damage"
#define SoakExplosionDamageDescription                                                     "Your training in defense has made you tougher.With each level of this perk your threshold for Explosion damage is increased by " + get_sfall_global_int(57) + "."
//Resist Damage
#define PickResistDamagePerk                                                               "Open character screen to choose a Resist Damage Perk."
#define ResistDamageGroup                                                                  "Resist Damage Perks"
#define ResistDamageGroupDescription                                                       "Spend a perk on Resist Damage Perks.You must select this perk and click done to world map view,then open charracter screen to choose a Resist Damage Perk to spend a perk on."
#define ResistDamageCancelGroup                                                            "Cancel Resist Damage"
#define ResistDamageCancelGroupDescription                                                 "Cancel spending a perk on Resist Damage Perks and return to regular perks.You must select this perk and click done to world map view,then open charracter screen to select a perk."
#define ResistNormalDamage                                                                 "Resist Normal Damage"
#define ResistNormalDamageDescription                                                      "Your training in defense has made you tougher.With each level of this perk your resistance for normal damage is increased by " + get_sfall_global_int(60) + "."
#define ResistLaserDamage                                                                  "Resist Laser Damage"
#define ResistLaserDamageDescription                                                       "Your training in defense has made you tougher.With each level of this perk your resistance for Laser damage is increased by " + get_sfall_global_int(63) + "."
#define ResistFireDamage                                                                   "Resist Fire Damage"
#define ResistFireDamageDescription                                                        "Your training in defense has made you tougher.With each level of this perk your resistance for Fire damage is increased by " + get_sfall_global_int(66) + "."
#define ResistPlasmaDamage                                                                 "Resist Plasma Damage"
#define ResistPlasmaDamageDescription                                                      "Your training in defense has made you tougher.With each level of this perk your resistance for Plasma damage is increased by " + get_sfall_global_int(69) + "."
#define ResistExplosionDamage                                                              "Resist Explosion Damage"
#define ResistExplosionDamageDescription                                                   "Your training in defense has made you tougher.With each level of this perk your resistance for Explosion damage is increased by " + get_sfall_global_int(72) + "."
//Bonus Damage
#define PickBonusDamagePerk                                                                "Open character screen to choose a Bonus Damage Perk."
#define BonusDamageGroup                                                                   "Bonus Damage Perks"
#define BonusDamageGroupDescription                                                        "Spend a perk on Bonus Damage Perks.You must select this perk and click done to world map view,then open charracter screen to choose a Resist Damage Perk to spend a perk on."
#define BonusDamageCancelGroup                                                             "Cancel Bonus Damage"
#define BonusDamageCancelGroupDescription                                                  "Cancel spending a perk on Bonus Damage Perks and return to regular perks.You must select this perk and click done to world map view,then open charracter screen to select a perk."
#define BonusDamageLaser                                                                   "Bonus Damage(Laser)"
#define BonusDamageLaserDescription                                                        "You do extra damage with laser-based weapons for each level of this perk."
#define BonusDamagePlasma                                                                  "Bonus Damage(Plasma)"
#define BonusDamagePlasmaDescription                                                       "You do extra damage with plasma-based weapons for each level of this perk."
#define BonusDamageElectrical                                                              "Bonus Damage(Electrical)"
#define BonusDamageElectricalDescription                                                   "You do extra damage with electrical-based weapons for each level of this perk."
#define BonusDamageExplosion                                                               "Bonus Damage(Explosion)"
#define BonusDamageExplosionDescription                                                    "You do extra damage with explosion-based weapons for each level of this perk."
#define BonusDamageFire                                                                    "Bonus Damage(Fire)"
#define BonusDamageFireDescription                                                         "You do extra damage with fire-based weapons for each level of this perk."

//GL_Rapid_Perks.int

//Rapid Perks
#define RapidPerks                                                                         "Rapid Perks"
#define RapidPerksDescription                                                              "For each level of this perk you reduce the levels between perks by one."
#define MassivePerks                                                                       "Massive Perks"
#define MassivePerksDescription                                                            "For each rank of this perk,you will recieve 1 extra perk whenever you have attained the level requiered for your next perk.Increases levels between perks by " + get_sfall_global_int(4) + "."
#define ExtraPerks                                                                         "Here and Now Perks"
#define ExtraPerksDescription                                                              "For each level of this perk you are imediately granted 2 perks."
#define AllStats                                                                           "Massive Stat Gain"
#define AllStatsDescription                                                                "You gain one to all primary stats at the cost of " + get_sfall_global_int(11) + " additional levels between perks for each rank of this perk."

//GL_Experience_Rush.int

//Experience Rush
#define LevelUpHeal                                                                        "Experience Rush"
#define LevelUpHealDescription                                                             "Heals The Chosen One " + get_sfall_global_int(4401) + "% of max HP at level up,adding " + get_sfall_global_int(4401) + "% each rank,once 100% is gained,next rank heals party memebers,next rank cures poison,last rank cures radiation."


//Megamod Specific
#define BountyHunter                                                                       "Bounty Hunter"
#define BountyHunterDescription                                                            "You are a skilled Bounty Hunter,capturing or killing these foe's when ever the opportunity presents itself."
#define Slaver                                                                             "Slaver"
#define SlaverDescription                                                                  "You have chosen the path of a Slaver,and can capture and force your will on your slaves."
#define TrainDogmeat                                                                       "Animal Trainer"
#define TrainDogmeatDescription                                                            "You have become a veteran animal trainer."

//GL_Select_Xp_Master.int

//Experience Mast
#define ExperieceMasterTitle                                                               "Experience Master"
#define ExperieceMasterGroup                                                               "Experience Master Perks"
#define ExperieceMasterGroupDescription                                                    "Select an Experience Master Perk. Select this perk and click Done. Then open the character screen again to choose a specific critter."
#define ExperieceMasterCancelGroup                                                         "Cancel Experience Master"
#define ExperieceMasterCancelGroupDescription                                              "Cancel selection of an Experience Master Perk and return to regular perks. Select this perk and click Done. Then open the character screen again to select a perk."
#define MenExpert                                                                          "Experience Master (Men)"
#define MenExpertDescription                                                               "Not only are you skilled at fighting Men, but you completely enjoy it. You gain an extra " + get_sfall_global_int(93) + " experience for each kill."
#define WomenExpert                                                                        "Experience Master (Women)"
#define WomenExpertDescription                                                             "Not only are you skilled at fighting Women, but you completely enjoy it. You gain an extra " + get_sfall_global_int(95) + " experience for each kill."
#define MutantExpert                                                                       "Experience Master (Mutant)"
#define MutantExpertDescription                                                            "Not only are you skilled at fighting Mutants, but you completely enjoy it. You gain an extra " + get_sfall_global_int(97) + " experience for each kill."
#define GhoulExpert                                                                        "Experience Master (Ghoul)"
#define GhoulExpertDescription                                                             "Not only are you skilled at fighting Ghouls, but you completely enjoy it. You gain an extra " + get_sfall_global_int(99) + " experience for each kill."
#define ScorpionExpert                                                                     "Experience Master (Scorpion)"
#define ScorpionExpertDescription                                                          "Not only are you skilled at fighting Scorpions, but you completely enjoy it. You gain an extra " + get_sfall_global_int(2065) + " experience for each kill."
#define RatExpert                                                                          "Experience Master (Rat)"
#define RatExpertDescription                                                               "Not only are you skilled at fighting Rats, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1554) + " experience for each kill."
#define FloaterExpert                                                                      "Experience Master (Floater)"
#define FloaterExpertDescription                                                           "Not only are you skilled at fighting Floaters, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1583) + " experience for each kill."
#define CentaurExpert                                                                      "Experience Master (Centaur)"
#define CentaurExpertDescription                                                           "Not only are you skilled at fighting Centaurs, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1612) + " experience for each kill."
#define RobotExpert                                                                        "Experience Master (Robot)"
#define RobotExpertDescription                                                             "Not only are you skilled at fighting Robots, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1641) + " experience for each kill."
#define DogExpert                                                                          "Experience Master (Dog)"
#define DogExpertDescription                                                               "Not only are you skilled at fighting Dogs, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1672) + " experience for each kill."
#define MantiExpert                                                                        "Experience Master (Manti)"
#define MantiExpertDescription                                                             "Not only are you skilled at fighting Manti, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1670) + " experience for each kill."
#define DeathClawExpert                                                                    "Experience Master (DeathClaw)"
#define DeathClawExpertDescription                                                         "Not only are you skilled at fighting DeathClaws, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1728) + " experience for each kill."
#define PlantExpert                                                                        "Experience Master (Plant)"
#define PlantExpertDescription                                                             "Not only are you skilled at fighting Plants, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1757) + " experience for each kill."
#define GeckoExpert                                                                        "Experience Master (Gecko)"
#define GeckoExpertDescription                                                             "Not only are you skilled at fighting Geckos, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1786) + " experience for each kill."
#define AlienExpert                                                                        "Experience Master (Alien)"
#define AlienExpertDescription                                                             "Not only are you skilled at fighting Aliens, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1815) + " experience for each kill."
#define AntExpert                                                                          "Experience Master (Ant)"
#define AntExpertDescription                                                               "Not only are you skilled at fighting Ants, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1844) + " experience for each kill."
//megamod extra's
#define CockroachExpert                                                                    "Experience Master (Cockroach)"
#define CockroachExpertDescription                                                         "Not only are you skilled at fighting Cockroaches, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1873) + " experience for each kill."
#define FruitFlyExpert                                                                     "Experience Master (Fruit Fly)"
#define FruitFlyExpertDescription                                                          "Not only are you skilled at fighting Fruit Flies, but you completely enjoy it. You gain an extra " + get_sfall_global_int(1902) + " experience for each kill."

//GL_Party_Select.int

//Party Member Perks
#define PartyGroupCancel                                                                   "Cancel Party Member"
#define PartyGroupCancelDescription                                                        "Cancel spending a perk on a party member and return to regular perks.You must select this perk and click done to world map view,then open charracter screen to select a perk."
#define PartyGroup                                                                         "Party Member Perks"
#define PartyGroupDescription                                                              "Spend a perk on one of you party members.You must select this perk and click done to world map view,then open charracter screen to choose a party member to spend a perk on."
#define SelectPartyTitle                                                                   "Select a Party Member"

//Sulik
#define SulikTitle                                                                         "Sulik's Perks" 
#define Sulik                                                                              "Sulik"
#define SulikDescription                                                                   "Spend a perk on Sulik."
#define SulikActionPoints                                                                  "Action Boy(Sulik)"
#define SulikActionPointsDescription                                                       "For each level of this perk Sulik is granted " + get_sfall_global_int(131) + " action point."
#define SulikStrongBack                                                                    "Strong Back(Sulik)"
#define SulikStrongBackDescription                                                         "For each rank of this perk,Sulik can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define SulikDamage                                                                        "Bonus Damage(Sulik)"
#define SulikDamageDescription                                                             "Sulik will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define SulikSoak                                                                          "Soak Normal Damage(Sulik)"
#define SulikSoakDescription                                                               "Sulik's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define SulikResist                                                                        "Resist Normal Damage(Sulik)"
#define SulikResistDescription                                                             "Sulik's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define SulikHitPoints                                                                     "Toughness(Sulik)"
#define SulikHitPointsDescription                                                          "For each level of this perk Sulik gain's " + get_sfall_global_int(148) + " health."
#define SulikCombatSkills                                                                  "Combat Skills(Sulik)"
#define SulikCombatSkillsDescription                                                       "With each level of this Perk, Sulik gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define SulikHealing                                                                       "Faster Healing(Sulik)"
#define SulikHealingDescription                                                            "With each level of this Perk, Sulik gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define SulikCriticalChance                                                                "More Criticals(Sulik)"
#define SulikCriticalChanceDescription                                                     "Sulik is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define SulikSequence                                                                      "Earlier Sequence(Sulik)"
#define SulikSequenceDescription                                                           "Sulik is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define SulikKnockdown                                                                     "Knockdown(Sulik)"
#define SulikKnockdownDescription                                                          "For each level of this perk,Sulik's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define SulikRangedDamage                                                                  "Minimum Damage(Sulik)"
#define SulikRangedDamageDescription                                                       "Sulik's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define SulikCriticalsMultiplied                                                           "Multiply Criticals(Sulik)"
#define SulikCriticalsMultipliedDescription                                                "For each level of this perk Sulik's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Myron
#define MyronTitle                                                                         "Myron's Perks" 
#define Myron                                                                              "Myron"
#define MyronDescription                                                                   "Spend a perk on Myron."
#define MyronActionPoints                                                                  "Action Boy(Myron)"
#define MyronActionPointsDescription                                                       "For each level of this perk Myron is granted " + get_sfall_global_int(131) + " action point."
#define MyronStrongBack                                                                    "Strong Back(Myron)"
#define MyronStrongBackDescription                                                         "For each rank of this perk,Myron can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define MyronDamage                                                                        "Bonus Damage(Myron)"
#define MyronDamageDescription                                                             "Myron will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define MyronSoak                                                                          "Soak Normal Damage(Myron)"
#define MyronSoakDescription                                                               "Myron's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define MyronResist                                                                        "Resist Normal Damage(Myron)"
#define MyronResistDescription                                                             "Myron's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define MyronHitPoints                                                                     "Toughness(Myron)"
#define MyronHitPointsDescription                                                          "For each level of this perk Myron gain's " + get_sfall_global_int(148) + " health."
#define MyronCombatSkills                                                                  "Combat Skills(Myron)"
#define MyronCombatSkillsDescription                                                       "With each level of this Perk, Myron gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define MyronHealing                                                                       "Faster Healing(Myron)"
#define MyronHealingDescription                                                            "With each level of this Perk, Myron gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define MyronCriticalChance                                                                "More Criticals(Myron)"
#define MyronCriticalChanceDescription                                                     "Myron is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define MyronSequence                                                                      "Earlier Sequence(Myron)"
#define MyronSequenceDescription                                                           "Myron is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define MyronKnockdown                                                                     "Knockdown(Myron)"
#define MyronKnockdownDescription                                                          "For each level of this perk,Myron's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define MyronRangedDamage                                                                  "Minimum Damage(Myron)"
#define MyronRangedDamageDescription                                                       "Myron's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define MyronCriticalsMultiplied                                                           "Multiply Criticals(Myron)"
#define MyronCriticalsMultipliedDescription                                                "For each level of this perk Myron's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Marcus
#define MarcusTitle                                                                        "Marcus's Perks" 
#define Marcus                                                                             "Marcus"
#define MarcusDescription                                                                  "Spend a perk on Marcus."
#define MarcusActionPoints                                                                 "Action Boy(Marcus)"
#define MarcusActionPointsDescription                                                      "For each level of this perk Marcus is granted " + get_sfall_global_int(131) + " action point."
#define MarcusStrongBack                                                                   "Strong Back(Marcus)"
#define MarcusStrongBackDescription                                                        "For each rank of this perk,Marcus can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define MarcusDamage                                                                       "Bonus Damage(Marcus)"
#define MarcusDamageDescription                                                            "Marcus will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define MarcusSoak                                                                         "Soak Normal Damage(Marcus)"
#define MarcusSoakDescription                                                              "Marcus's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define MarcusResist                                                                       "Resist Normal Damage(Marcus)"
#define MarcusResistDescription                                                            "Marcus's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define MarcusHitPoints                                                                    "Toughness(Marcus)"
#define MarcusHitPointsDescription                                                         "For each level of this perk Marcus gain's " + get_sfall_global_int(148) + " health."
#define MarcusCombatSkills                                                                 "Combat Skills(Marcus)"
#define MarcusCombatSkillsDescription                                                      "With each level of this Perk, Marcus gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define MarcusHealing                                                                      "Faster Healing(Marcus)"
#define MarcusHealingDescription                                                           "With each level of this Perk, Marcus gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define MarcusCriticalChance                                                               "More Criticals(Marcus)"
#define MarcusCriticalChanceDescription                                                    "Marcus is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define MarcusSequence                                                                     "Earlier Sequence(Marcus)"
#define MarcusSequenceDescription                                                          "Marcus is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define MarcusKnockdown                                                                    "Knockdown(Marcus)"
#define MarcusKnockdownDescription                                                         "For each level of this perk,Marcus's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define MarcusRangedDamage                                                                 "Minimum Damage(Marcus)"
#define MarcusRangedDamageDescription                                                      "Marcus's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define MarcusCriticalsMultiplied                                                          "Multiply Criticals(Marcus)"
#define MarcusCriticalsMultipliedDescription                                               "For each level of this perk Marcus's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Cassidy
#define CassidyTitle                                                                       "Cassidy's Perks" 
#define Cassidy                                                                            "Cassidy"
#define CassidyDescription                                                                 "Spend a perk on Cassidy."
#define CassidyActionPoints                                                                "Action Boy(Cassidy)"
#define CassidyActionPointsDescription                                                     "For each level of this perk Cassidy is granted " + get_sfall_global_int(131) + " action point."
#define CassidyStrongBack                                                                  "Strong Back(Cassidy)"
#define CassidyStrongBackDescription                                                       "For each rank of this perk,Cassidy can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define CassidyDamage                                                                      "Bonus Damage(Cassidy)"
#define CassidyDamageDescription                                                           "Cassidy will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define CassidySoak                                                                        "Soak Normal Damage(Cassidy)"
#define CassidySoakDescription                                                             "Cassidy's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define CassidyResist                                                                      "Resist Normal Damage(Cassidy)"
#define CassidyResistDescription                                                           "Cassidy's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define CassidyHitPoints                                                                   "Toughness(Cassidy)"
#define CassidyHitPointsDescription                                                        "For each level of this perk Cassidy gain's " + get_sfall_global_int(148) + " health."
#define CassidyCombatSkills                                                                "Combat Skills(Cassidy)"
#define CassidyCombatSkillsDescription                                                     "With each level of this Perk, Cassidy gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define CassidyHealing                                                                     "Faster Healing(Cassidy)"
#define CassidyHealingDescription                                                          "With each level of this Perk, Cassidy gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define CassidyCriticalChance                                                              "More Criticals(Cassidy)"
#define CassidyCriticalChanceDescription                                                   "Cassidy is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define CassidySequence                                                                    "Earlier Sequence(Cassidy)"
#define CassidySequenceDescription                                                         "Cassidy is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define CassidyKnockdown                                                                   "Knockdown(Cassidy)"
#define CassidyKnockdownDescription                                                        "For each level of this perk,Cassidy's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define CassidyRangedDamage                                                                "Minimum Damage(Cassidy)"
#define CassidyRangedDamageDescription                                                     "Cassidy's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define CassidyCriticalsMultiplied                                                         "Multiply Criticals(Cassidy)"
#define CassidyCriticalsMultipliedDescription                                              "For each level of this perk Cassidy's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Lenny
#define LennyTitle                                                                         "Lenny's Perks" 
#define Lenny                                                                              "Lenny"
#define LennyDescription                                                                   "Spend a perk on Lenny."
#define LennyActionPoints                                                                  "Action Boy(Lenny)"
#define LennyActionPointsDescription                                                       "For each level of this perk Lenny is granted " + get_sfall_global_int(131) + " action point."
#define LennyStrongBack                                                                    "Strong Back(Lenny)"
#define LennyStrongBackDescription                                                         "For each rank of this perk,Lenny can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define LennyDamage                                                                        "Bonus Damage(Lenny)"
#define LennyDamageDescription                                                             "Lenny will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define LennySoak                                                                          "Soak Normal Damage(Lenny)"
#define LennySoakDescription                                                               "Lenny's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define LennyResist                                                                        "Resist Normal Damage(Lenny)"
#define LennyResistDescription                                                             "Lenny's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define LennyHitPoints                                                                     "Toughness(Lenny)"
#define LennyHitPointsDescription                                                          "For each level of this perk Lenny gain's " + get_sfall_global_int(148) + " health."
#define LennyCombatSkills                                                                  "Combat Skills(Lenny)"
#define LennyCombatSkillsDescription                                                       "With each level of this Perk, Lenny gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define LennyHealing                                                                       "Faster Healing(Lenny)"
#define LennyHealingDescription                                                            "With each level of this Perk, Lenny gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define LennyCriticalChance                                                                "More Criticals(Lenny)"
#define LennyCriticalChanceDescription                                                     "Lenny is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define LennySequence                                                                      "Earlier Sequence(Lenny)"
#define LennySequenceDescription                                                           "Lenny is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define LennyKnockdown                                                                     "Knockdown(Lenny)"
#define LennyKnockdownDescription                                                          "For each level of this perk,Lenny's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define LennyRangedDamage                                                                  "Minimum Damage(Lenny)"
#define LennyRangedDamageDescription                                                       "Lenny's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define LennyCriticalsMultiplied                                                           "Multiply Criticals(Lenny)"
#define LennyCriticalsMultipliedDescription                                                "For each level of this perk Lenny's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Cyberdog
#define CyberdogTitle                                                                      "Cyberdog's Perks" 
#define Cyberdog                                                                           "Cyberdog"
#define CyberdogDescription                                                                "Spend a perk on Cyberdog."
#define CyberdogActionPoints                                                               "Action Boy(Cyberdog)"
#define CyberdogActionPointsDescription                                                    "For each level of this perk Cyberdog is granted " + get_sfall_global_int(131) + " action point."
#define CyberdogStrongBack                                                                 "Strong Back(Cyberdog)"
#define CyberdogStrongBackDescription                                                      "For each rank of this perk,Cyberdog can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define CyberdogDamage                                                                     "Bonus Damage(Cyberdog)"
#define CyberdogDamageDescription                                                          "Cyberdog will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define CyberdogSoak                                                                       "Soak Normal Damage(Cyberdog)"
#define CyberdogSoakDescription                                                            "Cyberdog's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define CyberdogResist                                                                     "Resist Normal Damage(Cyberdog)"
#define CyberdogResistDescription                                                          "Cyberdog's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define CyberdogHitPoints                                                                  "Toughness(Cyberdog)"
#define CyberdogHitPointsDescription                                                       "For each level of this perk Cyberdog gain's " + get_sfall_global_int(148) + " health."
#define CyberdogCombatSkills                                                               "Combat Skills(Cyberdog)"
#define CyberdogCombatSkillsDescription                                                    "With each level of this Perk, Cyberdog gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define CyberdogHealing                                                                    "Faster Healing(Cyberdog)"
#define CyberdogHealingDescription                                                         "With each level of this Perk, Cyberdog gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define CyberdogCriticalChance                                                             "More Criticals(Cyberdog)"
#define CyberdogCriticalChanceDescription                                                  "Cyberdog is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define CyberdogSequence                                                                   "Earlier Sequence(Cyberdog)"
#define CyberdogSequenceDescription                                                        "Cyberdog is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define CyberdogKnockdown                                                                  "Knockdown(Cyberdog)"
#define CyberdogKnockdownDescription                                                       "For each level of this perk,Cyberdog's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define CyberdogRangedDamage                                                               "Minimum Damage(Cyberdog)"
#define CyberdogRangedDamageDescription                                                    "Cyberdog's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define CyberdogCriticalsMultiplied                                                        "Multiply Criticals(Cyberdog)"
#define CyberdogCriticalsMultipliedDescription                                             "For each level of this perk Cyberdog's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Goris
#define GorisTitle                                                                         "Goris's Perks" 
#define Goris                                                                              "Goris"
#define GorisDescription                                                                   "Spend a perk on Goris."
#define GorisActionPoints                                                                  "Action Boy(Goris)"
#define GorisActionPointsDescription                                                       "For each level of this perk Goris is granted " + get_sfall_global_int(131) + " action point."
#define GorisStrongBack                                                                    "Strong Back(Goris)"
#define GorisStrongBackDescription                                                         "For each rank of this perk,Goris can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define GorisDamage                                                                        "Bonus Damage(Goris)"
#define GorisDamageDescription                                                             "Goris will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define GorisSoak                                                                          "Soak Normal Damage(Goris)"
#define GorisSoakDescription                                                               "Goris's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define GorisResist                                                                        "Resist Normal Damage(Goris)"
#define GorisResistDescription                                                             "Goris's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define GorisHitPoints                                                                     "Toughness(Goris)"
#define GorisHitPointsDescription                                                          "For each level of this perk Goris gain's " + get_sfall_global_int(148) + " health."
#define GorisCombatSkills                                                                  "Combat Skills(Goris)"
#define GorisCombatSkillsDescription                                                       "With each level of this Perk, Goris gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define GorisHealing                                                                       "Faster Healing(Goris)"
#define GorisHealingDescription                                                            "With each level of this Perk, Goris gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define GorisCriticalChance                                                                "More Criticals(Goris)"
#define GorisCriticalChanceDescription                                                     "Goris is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define GorisSequence                                                                      "Earlier Sequence(Goris)"
#define GorisSequenceDescription                                                           "Goris is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define GorisKnockdown                                                                     "Knockdown(Goris)"
#define GorisKnockdownDescription                                                          "For each level of this perk,Goris's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define GorisRangedDamage                                                                  "Minimum Damage(Goris)"
#define GorisRangedDamageDescription                                                       "Goris's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define GorisCriticalsMultiplied                                                           "Multiply Criticals(Goris)"
#define GorisCriticalsMultipliedDescription                                                "For each level of this perk Goris's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Davin
#define DavinTitle                                                                         "Davin's Perks" 
#define Davin                                                                              "Davin"
#define DavinDescription                                                                   "Spend a perk on Davin."
#define DavinActionPoints                                                                  "Action Boy(Davin)"
#define DavinActionPointsDescription                                                       "For each level of this perk Davin is granted " + get_sfall_global_int(131) + " action point."
#define DavinStrongBack                                                                    "Strong Back(Davin)"
#define DavinStrongBackDescription                                                         "For each rank of this perk,Davin can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define DavinDamage                                                                        "Bonus Damage(Davin)"
#define DavinDamageDescription                                                             "Davin will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define DavinSoak                                                                          "Soak Normal Damage(Davin)"
#define DavinSoakDescription                                                               "Davin's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define DavinResist                                                                        "Resist Normal Damage(Davin)"
#define DavinResistDescription                                                             "Davin's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define DavinHitPoints                                                                     "Toughness(Davin)"
#define DavinHitPointsDescription                                                          "For each level of this perk Davin gain's " + get_sfall_global_int(148) + " health."
#define DavinCombatSkills                                                                  "Combat Skills(Davin)"
#define DavinCombatSkillsDescription                                                       "With each level of this Perk, Davin gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define DavinHealing                                                                       "Faster Healing(Davin)"
#define DavinHealingDescription                                                            "With each level of this Perk, Davin gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define DavinCriticalChance                                                                "More Criticals(Davin)"
#define DavinCriticalChanceDescription                                                     "Davin is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define DavinSequence                                                                      "Earlier Sequence(Davin)"
#define DavinSequenceDescription                                                           "Davin is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define DavinKnockdown                                                                     "Knockdown(Davin)"
#define DavinKnockdownDescription                                                          "For each level of this perk,Davin's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define DavinRangedDamage                                                                  "Minimum Damage(Davin)"
#define DavinRangedDamageDescription                                                       "Davin's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define DavinCriticalsMultiplied                                                           "Multiply Criticals(Davin)"
#define DavinCriticalsMultipliedDescription                                                "For each level of this perk Davin's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Miria
#define MiriaTitle                                                                         "Miria's Perks"
#define Miria                                                                              "Miria"
#define MiriaDescription                                                                   "Spend a perk on Miria."
#define MiriaActionPoints                                                                  "Action Boy(Miria)"
#define MiriaActionPointsDescription                                                       "For each level of this perk Miria is granted " + get_sfall_global_int(131) + " action point(s)."
#define MiriaStrongBack                                                                    "Strong Back(Miria)"
#define MiriaStrongBackDescription                                                         "For each rank of this perk,Miria can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define MiriaDamage                                                                        "Bonus Damage(Miria)"
#define MiriaDamageDescription                                                             "Miria will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define MiriaSoak                                                                          "Soak Normal Damage(Miria)"
#define MiriaSoakDescription                                                               "Miria's training in defense has made her tougher.With each level of this perk her threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define MiriaResist                                                                        "Resist Normal Damage(Miria)"
#define MiriaResistDescription                                                             "Miria's training in defense has made her tougher.With each level of this perk her resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define MiriaHitPoints                                                                     "Toughness(Miria)"
#define MiriaHitPointsDescription                                                          "For each level of this perk Miria gain's " + get_sfall_global_int(148) + " health."
#define MiriaCombatSkills                                                                  "Combat Skills(Miria)"
#define MiriaCombatSkillsDescription                                                       "With each level of this Perk, Miria gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define MiriaHealing                                                                       "Faster Healing(Miria)"
#define MiriaHealingDescription                                                            "With each level of this Perk, Miria gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define MiriaCriticalChance                                                                "More Criticals(Miria)"
#define MiriaCriticalChanceDescription                                                     "Miria is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define MiriaSequence                                                                      "Earlier Sequence(Miria)"
#define MiriaSequenceDescription                                                           "Miria is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define MiriaKnockdown                                                                     "Knockdown(Miria)"
#define MiriaKnockdownDescription                                                          "For each level of this perk,Miria's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define MiriaRangedDamage                                                                  "Minimum Damage(Miria)"
#define MiriaRangedDamageDescription                                                       "Miria's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define MiriaCriticalsMultiplied                                                           "Multiply Criticals(Miria)"
#define MiriaCriticalsMultipliedDescription                                                "For each level of this perk Miria's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Robobrain
#define RobobrainTitle                                                                     "Robobrain's Perks" 
#define Robobrain                                                                          "Robobrain"
#define RobobrainDescription                                                               "Spend a perk on Robobrain."
#define RobobrainActionPoints                                                              "Action Boy(Robobrain)"
#define RobobrainActionPointsDescription                                                   "For each level of this perk Robobrain is granted " + get_sfall_global_int(131) + " action point."
#define RobobrainStrongBack                                                                "Strong Back(Robobrain)"
#define RobobrainStrongBackDescription                                                     "For each rank of this perk,Robobrain can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define RobobrainDamage                                                                    "Bonus Damage(Robobrain)"
#define RobobrainDamageDescription                                                         "Robobrain will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define RobobrainSoak                                                                      "Soak Normal Damage(Robobrain)"
#define RobobrainSoakDescription                                                           "Robobrain's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define RobobrainResist                                                                    "Resist Normal Damage(Robobrain)"
#define RobobrainResistDescription                                                         "Robobrain's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define RobobrainHitPoints                                                                 "Toughness(Robobrain)"
#define RobobrainHitPointsDescription                                                      "For each level of this perk Robobrain gain's " + get_sfall_global_int(148) + " health."
#define RobobrainCombatSkills                                                              "Combat Skills(Robobrain)"
#define RobobrainCombatSkillsDescription                                                   "With each level of this Perk, Robobrain gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define RobobrainHealing                                                                   "Faster Healing(Robobrain)"
#define RobobrainHealingDescription                                                        "With each level of this Perk, Robobrain gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define RobobrainCriticalChance                                                            "More Criticals(Robobrain)"
#define RobobrainCriticalChanceDescription                                                 "Robobrain is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define RobobrainSequence                                                                  "Earlier Sequence(Robobrain)"
#define RobobrainSequenceDescription                                                       "Robobrain is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define RobobrainKnockdown                                                                 "Knockdown(Robobrain)"
#define RobobrainKnockdownDescription                                                      "For each level of this perk,Robobrain's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define RobobrainRangedDamage                                                              "Minimum Damage(Robobrain)"
#define RobobrainRangedDamageDescription                                                   "Robobrain's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define RobobrainCriticalsMultiplied                                                       "Multiply Criticals(Robobrain)"
#define RobobrainCriticalsMultipliedDescription                                            "For each level of this perk Robobrain's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Vic
#define VicTitle                                                                           "Vic's Perks" 
#define Vic                                                                                "Vic"
#define VicDescription                                                                     "Spend a perk on Vic."
#define VicActionPoints                                                                    "Action Boy(Vic)"
#define VicActionPointsDescription                                                         "For each level of this perk Vic is granted " + get_sfall_global_int(131) + " action point."
#define VicStrongBack                                                                      "Strong Back(Vic)"
#define VicStrongBackDescription                                                           "For each rank of this perk,Vic can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define VicDamage                                                                          "Bonus Damage(Vic)"
#define VicDamageDescription                                                               "Vic will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define VicSoak                                                                            "Soak Normal Damage(Vic)"
#define VicSoakDescription                                                                 "Vic's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define VicResist                                                                          "Resist Normal Damage(Vic)"
#define VicResistDescription                                                               "Vic's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define VicHitPoints                                                                       "Toughness(Vic)"
#define VicHitPointsDescription                                                            "For each level of this perk Vic gain's " + get_sfall_global_int(148) + " health."
#define VicCombatSkills                                                                    "Combat Skills(Vic)"
#define VicCombatSkillsDescription                                                         "With each level of this Perk, Vic gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define VicHealing                                                                         "Faster Healing(Vic)"
#define VicHealingDescription                                                              "With each level of this Perk, Vic gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define VicCriticalChance                                                                  "More Criticals(Vic)"
#define VicCriticalChanceDescription                                                       "Vic is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define VicSequence                                                                        "Earlier Sequence(Vic)"
#define VicSequenceDescription                                                             "Vic is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define VicKnockdown                                                                       "Knockdown(Vic)"
#define VicKnockdownDescription                                                            "For each level of this perk,Vic's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define VicRangedDamage                                                                    "Minimum Damage(Vic)"
#define VicRangedDamageDescription                                                         "Vic's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define VicCriticalsMultiplied                                                             "Multiply Criticals(Vic)"
#define VicCriticalsMultipliedDescription                                                  "For each level of this perk Vic's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Dogmeat
#define DogmeatTitle                                                                       "Dogmeat's Perks" 
#define Dogmeat                                                                            "Dogmeat"
#define DogmeatDescription                                                                 "Spend a perk on Dogmeat."
#define DogmeatActionPoints                                                                "Action Boy(Dogmeat)"
#define DogmeatActionPointsDescription                                                     "For each level of this perk Dogmeat is granted " + get_sfall_global_int(131) + " action point."
#define DogmeatStrongBack                                                                  "Strong Back(Dogmeat)"
#define DogmeatStrongBackDescription                                                       "For each rank of this perk,Dogmeat can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define DogmeatDamage                                                                      "Bonus Damage(Dogmeat)"
#define DogmeatDamageDescription                                                           "Dogmeat will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define DogmeatSoak                                                                        "Soak Normal Damage(Dogmeat)"
#define DogmeatSoakDescription                                                             "Dogmeat's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define DogmeatResist                                                                      "Resist Normal Damage(Dogmeat)"
#define DogmeatResistDescription                                                           "Dogmeat's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define DogmeatHitPoints                                                                   "Toughness(Dogmeat)"
#define DogmeatHitPointsDescription                                                        "For each level of this perk Dogmeat gain's " + get_sfall_global_int(148) + " health."
#define DogmeatCombatSkills                                                                "Combat Skills(Dogmeat)"
#define DogmeatCombatSkillsDescription                                                     "With each level of this Perk, Dogmeat gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define DogmeatHealing                                                                     "Faster Healing(Dogmeat)"
#define DogmeatHealingDescription                                                          "With each level of this Perk, Dogmeat gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define DogmeatCriticalChance                                                              "More Criticals(Dogmeat)"
#define DogmeatCriticalChanceDescription                                                   "Dogmeat is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define DogmeatSequence                                                                    "Earlier Sequence(Dogmeat)"
#define DogmeatSequenceDescription                                                         "Dogmeat is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define DogmeatKnockdown                                                                   "Knockdown(Dogmeat)"
#define DogmeatKnockdownDescription                                                        "For each level of this perk,Dogmeat's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define DogmeatRangedDamage                                                                "Minimum Damage(Dogmeat)"
#define DogmeatRangedDamageDescription                                                     "Dogmeat's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define DogmeatCriticalsMultiplied                                                         "Multiply Criticals(Dogmeat)"
#define DogmeatCriticalsMultipliedDescription                                              "For each level of this perk Dogmeat's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//K9
#define K9Title                                                                            "K9's Perks" 
#define K9                                                                                 "K9"
#define K9Description                                                                      "Spend a perk on K9."
#define K9ActionPoints                                                                     "Action Boy(K9)"
#define K9ActionPointsDescription                                                          "For each level of this perk K9 is granted " + get_sfall_global_int(131) + " action point."
#define K9StrongBack                                                                       "Strong Back(K9)"
#define K9StrongBackDescription                                                            "For each rank of this perk,K9 can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define K9Damage                                                                           "Bonus Damage(K9)"
#define K9DamageDescription                                                                "K9 will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define K9Soak                                                                             "Soak Normal Damage(K9)"
#define K9SoakDescription                                                                  "K9's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define K9Resist                                                                           "Resist Normal Damage(K9)"
#define K9ResistDescription                                                                "K9's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define K9HitPoints                                                                        "Toughness(K9)"
#define K9HitPointsDescription                                                             "For each level of this perk K9 gain's " + get_sfall_global_int(148) + " health."
#define K9CombatSkills                                                                     "Combat Skills(K9)"
#define K9CombatSkillsDescription                                                          "With each level of this Perk, K9 gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define K9Healing                                                                          "Faster Healing(K9)"
#define K9HealingDescription                                                               "With each level of this Perk, K9 gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define K9CriticalChance                                                                   "More Criticals(K9)"
#define K9CriticalChanceDescription                                                        "K9 is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define K9Sequence                                                                         "Earlier Sequence(K9)"
#define K9SequenceDescription                                                              "K9 is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define K9Knockdown                                                                        "Knockdown(K9)"
#define K9KnockdownDescription                                                             "For each level of this perk,K9's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define K9RangedDamage                                                                     "Minimum Damage(K9)"
#define K9RangedDamageDescription                                                          "K9's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define K9CriticalsMultiplied                                                              "Multiply Criticals(K9)"
#define K9CriticalsMultipliedDescription                                                   "For each level of this perk K9's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Party
#define PartyTitle                                                                         "Party Perks"
#define Party                                                                              "Party"
#define PartyDescription                                                                   "Spend a perk that affects Vic Sulik and Cassidy." 
#define PartyActionPoints                                                                  "Action Boy(Party)"
#define PersonalPartyActionPointsDescription                                               "Grants Action Boy(Sulik),Action Boy(Cassidy) and Action Boy(Vic)"
#define PartyStrongBack                                                                    "Strong Back(Party)"
#define PersonalPartyStrongBackDescription                                                 "Grants Strong Back(Sulik),Strong Back(Cassidy) and Strong Back(Vic)"
#define PartyDamage                                                                        "Bonus Damage(Party)"
#define PersonalPartyDamageDescription                                                     "Grants Bonus Damage(Sulik),Bonus Damage(Cassidy) and Bonus Damage(Vic)"
#define PartySoak                                                                          "Soak Normal Damage(Party)"
#define PersonalPartySoakDescription                                                       "Grants Soak Normal Damage(Sulik),Soak Normal Damage(Cassidy) and Soak Normal Damage(Vic)"
#define PartyResist                                                                        "Resist Normal Damage(Party)"
#define PersonalPartyResistDescription                                                     "Grants Resist Normal Damage(Sulik),Resist Normal Damage(Cassidy) and Resist Normal Damage(Vic)"
#define PartyHitPoints                                                                     "Toughness(Party)"
#define PersonalPartyHitPointsDescription                                                  "Grants Toughness(Sulik),Toughness(Cassidy) and Toughness(Vic)"
#define PartyCombatSkills                                                                  "Combat Skills(Party)"
#define PersonalPartyCombatSkillsDescription                                               "Grants Combat Skills(Sulik),Combat Skills(Cassidy) and Combat Skills(Vic)"
#define PartyHealing                                                                       "Faster Healing(Party)"
#define PersonalPartyHealingDescription                                                    "Grants Faster Healing(Sulik),Faster Healing(Cassidy) and Faster Healing(Vic)"
#define PartyCriticalChance                                                                "More Criticals(Party)"
#define PersonalPartyCriticalChanceDescription                                             "Grants More Criticals(Sulik),More Criticals(Cassidy) and More Criticals(Vic)"
#define PartySequence                                                                      "Earlier Sequence(Party)"
#define PersonalPartySequenceDescription                                                   "Grants Earlier Sequence(Sulik),Earlier Sequence(Cassidy) and Earlier Sequence(Vic)"
#define PartyKnockdown                                                                     "Knockdown(Party)"
#define PersonalPartyKnockdownDescription                                                  "Grants Knockdown(Sulik),Knockdown(Cassidy) and Knockdown(Vic)"
#define PartyRangedDamage                                                                  "Minimum Damage(Party)"
#define PersonalPartyRangedDamageDescription                                               "Grants Minimum Damage(Sulik),Minimum Damage(Cassidy) and Minimum Damage(Vic)"
#define PartyCriticalsMultiplied                                                           "Multiply Criticals(Party)"
#define PersonalPartyCriticalsMultipliedDescription                                        "Grants Multiply Criticals(Sulik),Multiply Criticals(Cassidy) and Multiply Criticals(Vic)"

//Megamod NPC's
//Klint
#define KlintTitle                                                                         "Klint's Perks" 
#define Klint                                                                              "Klint"
#define KlintDescription                                                                   "Spend a perk on Klint."
#define KlintActionPoints                                                                  "Action Boy(Klint)"
#define KlintActionPointsDescription                                                       "For each level of this perk Klint is granted " + get_sfall_global_int(131) + " action point."
#define KlintStrongBack                                                                    "Strong Back(Klint)"
#define KlintStrongBackDescription                                                         "For each rank of this perk,Klint can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define KlintDamage                                                                        "Bonus Damage(Klint)"
#define KlintDamageDescription                                                             "Klint will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define KlintSoak                                                                          "Soak Normal Damage(Klint)"
#define KlintSoakDescription                                                               "Klint's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define KlintResist                                                                        "Resist Normal Damage(Klint)"
#define KlintResistDescription                                                             "Klint's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define KlintHitPoints                                                                     "Toughness(Klint)"
#define KlintHitPointsDescription                                                          "For each level of this perk Klint gain's " + get_sfall_global_int(148) + " health."
#define KlintCombatSkills                                                                  "Combat Skills(Klint)"
#define KlintCombatSkillsDescription                                                       "With each level of this Perk, Klint gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define KlintHealing                                                                       "Faster Healing(Klint)"
#define KlintHealingDescription                                                            "With each level of this Perk, Klint gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define KlintCriticalChance                                                                "More Criticals(Klint)"
#define KlintCriticalChanceDescription                                                     "Klint is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define KlintSequence                                                                      "Earlier Sequence(Klint)"
#define KlintSequenceDescription                                                           "Klint is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define KlintKnockdown                                                                     "Knockdown(Klint)"
#define KlintKnockdownDescription                                                          "For each level of this perk,Klint's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define KlintRangedDamage                                                                  "Minimum Damage(Klint)"
#define KlintRangedDamageDescription                                                       "Klint's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define KlintCriticalsMultiplied                                                           "Multiply Criticals(Klint)"
#define KlintCriticalsMultipliedDescription                                                "For each level of this perk Klint's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Skynet
#define SkynetTitle                                                                        "Skynet's Perks" 
#define Skynet                                                                             "Skynet"
#define SkynetDescription                                                                  "Spend a perk on Skynet."
#define SkynetActionPoints                                                                 "Action Boy(Skynet)"
#define SkynetActionPointsDescription                                                      "For each level of this perk Skynet is granted " + get_sfall_global_int(131) + " action point."
#define SkynetStrongBack                                                                   "Strong Back(Skynet)"
#define SkynetStrongBackDescription                                                        "For each rank of this perk,Skynet can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define SkynetDamage                                                                       "Bonus Damage(Skynet)"
#define SkynetDamageDescription                                                            "Skynet will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define SkynetSoak                                                                         "Soak Normal Damage(Skynet)"
#define SkynetSoakDescription                                                              "Skynet's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define SkynetResist                                                                       "Resist Normal Damage(Skynet)"
#define SkynetResistDescription                                                            "Skynet's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define SkynetHitPoints                                                                    "Toughness(Skynet)"
#define SkynetHitPointsDescription                                                         "For each level of this perk Skynet gain's " + get_sfall_global_int(148) + " health."
#define SkynetCombatSkills                                                                 "Combat Skills(Skynet)"
#define SkynetCombatSkillsDescription                                                      "With each level of this Perk, Skynet gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define SkynetHealing                                                                      "Faster Healing(Skynet)"
#define SkynetHealingDescription                                                           "With each level of this Perk, Skynet gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define SkynetCriticalChance                                                               "More Criticals(Skynet)"
#define SkynetCriticalChanceDescription                                                    "Skynet is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define SkynetSequence                                                                     "Earlier Sequence(Skynet)"
#define SkynetSequenceDescription                                                          "Skynet is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define SkynetKnockdown                                                                    "Knockdown(Skynet)"
#define SkynetKnockdownDescription                                                         "For each level of this perk,Skynet's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define SkynetRangedDamage                                                                 "Minimum Damage(Skynet)"
#define SkynetRangedDamageDescription                                                      "Skynet's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define SkynetCriticalsMultiplied                                                          "Multiply Criticals(Skynet)"
#define SkynetCriticalsMultipliedDescription                                               "For each level of this perk Skynet's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Diago
#define DiagoTitle                                                                         "Diago's Perks" 
#define Diago                                                                              "Diago"
#define DiagoDescription                                                                   "Spend a perk on Diago."
#define DiagoActionPoints                                                                  "Action Boy(Diago)"
#define DiagoActionPointsDescription                                                       "For each level of this perk Diago is granted " + get_sfall_global_int(131) + " action point."
#define DiagoStrongBack                                                                    "Strong Back(Diago)"
#define DiagoStrongBackDescription                                                         "For each rank of this perk,Diago can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define DiagoDamage                                                                        "Bonus Damage(Diago)"
#define DiagoDamageDescription                                                             "Diago will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define DiagoSoak                                                                          "Soak Normal Damage(Diago)"
#define DiagoSoakDescription                                                               "Diago's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define DiagoResist                                                                        "Resist Normal Damage(Diago)"
#define DiagoResistDescription                                                             "Diago's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define DiagoHitPoints                                                                     "Toughness(Diago)"
#define DiagoHitPointsDescription                                                          "For each level of this perk Diago gain's " + get_sfall_global_int(148) + " health."
#define DiagoCombatSkills                                                                  "Combat Skills(Diago)"
#define DiagoCombatSkillsDescription                                                       "With each level of this Perk, Diago gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define DiagoHealing                                                                       "Faster Healing(Diago)"
#define DiagoHealingDescription                                                            "With each level of this Perk, Diago gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define DiagoCriticalChance                                                                "More Criticals(Diago)"
#define DiagoCriticalChanceDescription                                                     "Diago is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define DiagoSequence                                                                      "Earlier Sequence(Diago)"
#define DiagoSequenceDescription                                                           "Diago is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define DiagoKnockdown                                                                     "Knockdown(Diago)"
#define DiagoKnockdownDescription                                                          "For each level of this perk,Diago's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define DiagoRangedDamage                                                                  "Minimum Damage(Diago)"
#define DiagoRangedDamageDescription                                                       "Diago's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define DiagoCriticalsMultiplied                                                           "Multiply Criticals(Diago)"
#define DiagoCriticalsMultipliedDescription                                                "For each level of this perk Diago's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Meris
#define MerisTitle                                                                         "Meris's Perks" 
#define Meris                                                                              "Meris"
#define MerisDescription                                                                   "Spend a perk on Meris."
#define MerisActionPoints                                                                  "Action Boy(Meris)"
#define MerisActionPointsDescription                                                       "For each level of this perk Meris is granted " + get_sfall_global_int(131) + " action point."
#define MerisStrongBack                                                                    "Strong Back(Meris)"
#define MerisStrongBackDescription                                                         "For each rank of this perk,Meris can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define MerisDamage                                                                        "Bonus Damage(Meris)"
#define MerisDamageDescription                                                             "Meris will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define MerisSoak                                                                          "Soak Normal Damage(Meris)"
#define MerisSoakDescription                                                               "Meris's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define MerisResist                                                                        "Resist Normal Damage(Meris)"
#define MerisResistDescription                                                             "Meris's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define MerisHitPoints                                                                     "Toughness(Meris)"
#define MerisHitPointsDescription                                                          "For each level of this perk Meris gain's " + get_sfall_global_int(148) + " health."
#define MerisCombatSkills                                                                  "Combat Skills(Meris)"
#define MerisCombatSkillsDescription                                                       "With each level of this Perk, Meris gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define MerisHealing                                                                       "Faster Healing(Meris)"
#define MerisHealingDescription                                                            "With each level of this Perk, Meris gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define MerisCriticalChance                                                                "More Criticals(Meris)"
#define MerisCriticalChanceDescription                                                     "Meris is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define MerisSequence                                                                      "Earlier Sequence(Meris)"
#define MerisSequenceDescription                                                           "Meris is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define MerisKnockdown                                                                     "Knockdown(Meris)"
#define MerisKnockdownDescription                                                          "For each level of this perk,Meris's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define MerisRangedDamage                                                                  "Minimum Damage(Meris)"
#define MerisRangedDamageDescription                                                       "Meris's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define MerisCriticalsMultiplied                                                           "Multiply Criticals(Meris)"
#define MerisCriticalsMultipliedDescription                                                "For each level of this perk Meris's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Fallout Restoration Project NPC's
//Kitsune
#define KitsuneTitle                                                                       "Kitsune's Perks"
#define Kitsune                                                                            "Kitsune"
#define KitsuneDescription                                                                 "Spend a perk on Kitsune."
#define KitsuneActionPoints                                                                "Action Boy(Kitsune)"
#define KitsuneActionPointsDescription                                                     "For each level of this perk Kitsune is granted " + get_sfall_global_int(131) + " action point(s)."
#define KitsuneStrongBack                                                                  "Strong Back(Kitsune)"
#define KitsuneStrongBackDescription                                                       "For each rank of this perk,Kitsune can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define KitsuneDamage                                                                      "Bonus Damage(Kitsune)"
#define KitsuneDamageDescription                                                           "Kitsune will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define KitsuneSoak                                                                        "Soak Normal Damage(Kitsune)"
#define KitsuneSoakDescription                                                             "Kitsune's training in defense has made her tougher.With each level of this perk her threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define KitsuneResist                                                                      "Resist Normal Damage(Kitsune)"
#define KitsuneResistDescription                                                           "Kitsune's training in defense has made her tougher.With each level of this perk her resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define KitsuneHitPoints                                                                   "Toughness(Kitsune)"
#define KitsuneHitPointsDescription                                                        "For each level of this perk Kitsune gain's " + get_sfall_global_int(148) + " health."
#define KitsuneCombatSkills                                                                "Combat Skills(Kitsune)"
#define KitsuneCombatSkillsDescription                                                     "With each level of this Perk, Kitsune gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define KitsuneHealing                                                                     "Faster Healing(Kitsune)"
#define KitsuneHealingDescription                                                          "With each level of this Perk, Kitsune gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define KitsuneCriticalChance                                                              "More Criticals(Kitsune)"
#define KitsuneCriticalChanceDescription                                                   "Kitsune is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define KitsuneSequence                                                                    "Earlier Sequence(Kitsune)"
#define KitsuneSequenceDescription                                                         "Kitsune is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define KitsuneKnockdown                                                                   "Knockdown(Kitsune)"
#define KitsuneKnockdownDescription                                                        "For each level of this perk,Kitsune's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define KitsuneRangedDamage                                                                "Minimum Damage(Kitsune)"
#define KitsuneRangedDamageDescription                                                     "Kitsune's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define KitsuneCriticalsMultiplied                                                         "Multiply Criticals(Kitsune)"
#define KitsuneCriticalsMultipliedDescription                                              "For each level of this perk Kitsune's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//Dex
#define DexTitle                                                                           "Dex's Perks" 
#define Dex                                                                                "Dex"
#define DexDescription                                                                     "Spend a perk on Dex."
#define DexActionPoints                                                                    "Action Boy(Dex)"
#define DexActionPointsDescription                                                         "For each level of this perk Dex is granted " + get_sfall_global_int(131) + " action point."
#define DexStrongBack                                                                      "Strong Back(Dex)"
#define DexStrongBackDescription                                                           "For each rank of this perk,Dex can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define DexDamage                                                                          "Bonus Damage(Dex)"
#define DexDamageDescription                                                               "Dex will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define DexSoak                                                                            "Soak Normal Damage(Dex)"
#define DexSoakDescription                                                                 "Dex's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define DexResist                                                                          "Resist Normal Damage(Dex)"
#define DexResistDescription                                                               "Dex's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define DexHitPoints                                                                       "Toughness(Dex)"
#define DexHitPointsDescription                                                            "For each level of this perk Dex gain's " + get_sfall_global_int(148) + " health."
#define DexCombatSkills                                                                    "Combat Skills(Dex)"
#define DexCombatSkillsDescription                                                         "With each level of this Perk, Dex gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define DexHealing                                                                         "Faster Healing(Dex)"
#define DexHealingDescription                                                              "With each level of this Perk, Dex gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define DexCriticalChance                                                                  "More Criticals(Dex)"
#define DexCriticalChanceDescription                                                       "Dex is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define DexSequence                                                                        "Earlier Sequence(Dex)"
#define DexSequenceDescription                                                             "Dex is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define DexKnockdown                                                                       "Knockdown(Dex)"
#define DexKnockdownDescription                                                            "For each level of this perk,Dex's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define DexRangedDamage                                                                    "Minimum Damage(Dex)"
#define DexRangedDamageDescription                                                         "Dex's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define DexCriticalsMultiplied                                                             "Multiply Criticals(Dex)"
#define DexCriticalsMultipliedDescription                                                  "For each level of this perk Dex's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//CatJules
#define CatJulesTitle                                                                      "Cat Jules's Perks" 
#define CatJules                                                                           "Cat Jules"
#define CatJulesDescription                                                                "Spend a perk on Cat Jules."
#define CatJulesActionPoints                                                               "Action Boy(Cat Jules)"
#define CatJulesActionPointsDescription                                                    "For each level of this perk Cat Jules is granted " + get_sfall_global_int(131) + " action point."
#define CatJulesStrongBack                                                                 "Strong Back(Cat Jules)"
#define CatJulesStrongBackDescription                                                      "For each rank of this perk,Cat Jules can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define CatJulesDamage                                                                     "Bonus Damage(Cat Jules)"
#define CatJulesDamageDescription                                                          "Cat Jules will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define CatJulesSoak                                                                       "Soak Normal Damage(Cat Jules)"
#define CatJulesSoakDescription                                                            "Cat Jules's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define CatJulesResist                                                                     "Resist Normal Damage(Cat Jules)"
#define CatJulesResistDescription                                                          "Cat Jules's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define CatJulesHitPoints                                                                  "Toughness(Cat Jules)"
#define CatJulesHitPointsDescription                                                       "For each level of this perk Cat Jules gain's " + get_sfall_global_int(148) + " health."
#define CatJulesCombatSkills                                                               "Combat Skills(Cat Jules)"
#define CatJulesCombatSkillsDescription                                                    "With each level of this Perk, Cat Jules gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define CatJulesHealing                                                                    "Faster Healing(Cat Jules)"
#define CatJulesHealingDescription                                                         "With each level of this Perk, Cat Jules gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define CatJulesCriticalChance                                                             "More Criticals(Cat Jules)"
#define CatJulesCriticalChanceDescription                                                  "Cat Jules is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define CatJulesSequence                                                                   "Earlier Sequence(Cat Jules)"
#define CatJulesSequenceDescription                                                        "Cat Jules is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define CatJulesKnockdown                                                                  "Knockdown(Cat Jules)"
#define CatJulesKnockdownDescription                                                       "For each level of this perk,Cat Jules's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define CatJulesRangedDamage                                                               "Minimum Damage(Cat Jules)"
#define CatJulesRangedDamageDescription                                                    "Cat Jules's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define CatJulesCriticalsMultiplied                                                        "Multiply Criticals(Cat Jules)"
#define CatJulesCriticalsMultipliedDescription                                             "For each level of this perk Cat Jules's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."

//T_800
#define T_800Title                                                                         "T-800's Perks" 
#define T_800                                                                              "T-800"
#define T_800Description                                                                   "Spend a perk on T-800."
#define T_800ActionPoints                                                                  "Action Boy(T-800)"
#define T_800ActionPointsDescription                                                       "For each level of this perk T-800 is granted " + get_sfall_global_int(131) + " action point."
#define T_800StrongBack                                                                    "Strong Back(T-800)"
#define T_800StrongBackDescription                                                         "For each rank of this perk,T-800 can carry an additional " + get_sfall_global_int(133) + " pounds of equipment."
#define T_800Damage                                                                        "Bonus Damage(T-800)"
#define T_800DamageDescription                                                             "T-800 will cause an addition " + get_sfall_global_int(136) + " points of damage(with all combat skills)for each rank of this perk."
#define T_800Soak                                                                          "Soak Normal Damage(T-800)"
#define T_800SoakDescription                                                               "T-800's training in defense has made him tougher.With each level of this perk his threshold for normal damage is increased by " + get_sfall_global_int(139) + "."
#define T_800Resist                                                                        "Resist Normal Damage(T-800)"
#define T_800ResistDescription                                                             "T-800's training in defense has made him tougher.With each level of this perk his resistance for normal damage is increased by " + get_sfall_global_int(142) + "."
#define T_800HitPoints                                                                     "Toughness(T-800)"
#define T_800HitPointsDescription                                                          "For each level of this perk T-800 gain's " + get_sfall_global_int(148) + " health."
#define T_800CombatSkills                                                                  "Combat Skills(T-800)"
#define T_800CombatSkillsDescription                                                       "With each level of this Perk, T-800 gains a " + get_sfall_global_int(151) + "% bonus to hit with combat skills,and to hit maximum is raised by 1% for each level of this perk."
#define T_800Healing                                                                       "Faster Healing(T-800)"
#define T_800HealingDescription                                                            "With each level of this Perk, T-800 gains a " + get_sfall_global_int(166) + " bonus to Healing Rate.  This is in addition to normal healing rate."
#define T_800CriticalChance                                                                "More Criticals(T-800)"
#define T_800CriticalChanceDescription                                                     "T-800 is more likely to cause critical hits in combat.  Each level of More Criticals adds an additional " + get_sfall_global_int(156) + "% chance to cause a critical hit."
#define T_800Sequence                                                                      "Earlier Sequence(T-800)"
#define T_800SequenceDescription                                                           "T-800 is more likely to move before opponents in combat,Sequence is increased by " + get_sfall_global_int(166) + " for each level of this Perk."
#define T_800Knockdown                                                                     "Knockdown(T-800)"
#define T_800KnockdownDescription                                                          "For each level of this perk,T-800's chance to knockdown any oponent is increased by " + get_sfall_global_int(161) + "%."
#define T_800RangedDamage                                                                  "Minimum Damage(T-800)"
#define T_800RangedDamageDescription                                                       "T-800's training in combat has become exceptional,minimum damage is increased by " + get_sfall_global_int(145) + " points for each rank of this perk."
#define T_800CriticalsMultiplied                                                           "Multiply Criticals(T-800)"
#define T_800CriticalsMultipliedDescription                                                "For each level of this perk T-800's critical damage with all skills is increased by " + get_sfall_global_int(4303) + "%,this stacks with the basic critical damage."


//Mics Messages
#define ReturnToRegularPerks                                                               "Open character screen to select your perks."
#define PickEXPMasterPerk                                                                  "Open character screen to choose an Experience Master Perk."
#define PickPartyMember                                                                    "Open character screen to choose a Party Member to spend a perk on." 
#define PartyPickPerk                                                                      "Open character screen to pick a perk for your party member."
#define OnePerk                                                                            "You have a Perk waiting to be chosen."
#define MultiplePerks                                                                      "You have "+ get_sfall_global_int(2126) + " Perks waiting to be chosen." 

//Vanilla Perks
#define HtHDamage                                                                          "Bonus Unarmed Damage"
#define Sequence                                                                           "Earlier Sequence"
#define Healing                                                                            "Faster Healing"
#define Criticals                                                                          "More Criticals"
#define Tough                                                                              "Toughness"
#define Carry                                                                              "Strong Back"
#define Carry2                                                                             "Pack Rat"
#define Gold                                                                               "Fortune Finder"
#define Life                                                                               "Lifegiver"
#define BonusMove                                                                          "Bonus Move"
#define BonusMoveDescription                                                               "For each level of Bonus Move, you get 2 free APs each turn that can only be used for movement.  In other words, you can move 2 free hexes each turn for each level of this Perk."
#define BonusRngDmg                                                                        "Bonus Ranged Damage"
#define BonusRngDmgDescription                                                             "Your training in firearms and other ranged weapons has made you more deadly in ranged combat.  For each level of this Perk, you do +2 points of damage with ranged weapons."
#define RadResist                                                                          "Rad Resistance"
#define RadResistDescription                                                               "You are better able to avoid radiation and the bad effects radiation causes.  Each level of this Perk improves your Radiation Resistance by 25%."
#define BetterCrits                                                                        "Better Criticals"
#define BetterCritsDescription                                                             "The critical hits you cause in combat are more devastating. You gain a 20% bonus to the damage dealt, almost ensuring that more damage will be done. This does not affect the chance to cause a critical hit."
#define Slay                                                                               "Slayer"
#define SlayDescription                                                                    "The Slayer walks the earth!  In hand-to-hand and melee combat all of your hits are upgraded to critical hits, causing destruction and mayhem."
#define Sniper                                                                             "Sniper"
#define SniperDescription                                                                  "You have mastered the firearm as a source of pain.  With this Perk, any successful hit in combat with a ranged weapon will be upgraded to a critical hit if you also make a Luck roll."
#define Action                                                                             "Action Boy"
#define ActionDescription                                                                  "Each level of Action Boy (insert Girl if you wish) gives you an additional action point to spend every combat turn.  You can use these generic action points on any task."
#define Doger                                                                              "Dodger"
#define DogerDescription                                                                   "You are less likely to be hit in combat if you have this Perk. You gain a +5 to your Armor Class, in addition to the AC bonus from any armor worn."
#define Poison                                                                             "Snakeater"
#define PoisonDescription                                                                  "Yum! Tastes like chicken. For each level of this Perk, you gain +25% to your Poison Resistance."
#define Inven                                                                              "Quick Pockets"
#define InvenDescription                                                                   "You have learned to pack your equipment better.  Accessing your inventory only costs you 2 Action Points in Combat instead of 4."
#define Learn                                                                              "Swift Learner"
#define LearnDescription                                                                   "You are indeed a Swift Learner with this Perk, as each level gives you additional experience points whenever you earn experience points.  This is best taken early."
#define GainStr                                                                            "Gain Strength" 
#define GainStrDescription                                                                 "With each level of this Perk, you gain +1 to your Strength." 
#define GainPer                                                                            "Gain Perception"
#define GainPerDescription                                                                 "With each level of this Perk, you gain +1 to your Perception."
#define GainEnd                                                                            "Gain Endurance"
#define GainEndDescription                                                                 "With each level of this Perk, you gain +1 to your Endurance."
#define GainChr                                                                            "Gain Charisma"
#define GainChrDescription                                                                 "With each level of this Perk, you gain +1 to your Charisma."
#define GainInt                                                                            "Gain Intelligence"
#define GainIntDescription                                                                 "With each level of this Perk, you gain +1 to your Intelligence."
#define GainAgi                                                                            "Gain Agility"
#define GainAgiDescription                                                                 "With each level of this Perk, you gain +1 to your Agility."
#define GainLck                                                                            "Gain Luck"
#define GainLckDescription                                                                 "With each level of this Perk, you gain +1 to your Luck." 
#define Living                                                                             "Living Anatomy"
#define LivingDescription                                                                  "You have a better understanding of living creatures and their strengths and weaknesses.  You get a one-time bonus of +10% to Doctor, and you do +5 damage per attack to living creatures."
#define BonusFireDmg                                                                       "Bonus Damage(Fire)"
#define BonusFireDmgDescription                                                            "You do extra damage with fire-based weapons for each level of this perk, and enemies always seem to die in the most painful fiery fashion."

#endif // PERK_TEXT_H



